SAXException (Java SE 26 & JDK 26)
Description: declaration: module: java.xml, package: org.xml.sax, class: SAXException
Keywords: org.xml.sax.SAXException class

# Class SAXException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.xml.sax.SAXException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SAXNotRecognizedException, SAXNotSupportedException, SAXParseException`

public class SAXException extends Exception
Encapsulate a general SAX error or warning.

This class can contain basic error or warning information from either the XML parser or the application: a parser writer or application writer can subclass it to provide additional functionality. SAX handlers may throw this exception or any exception subclassed from it.

If the application needs to pass through other types of exceptions, it must wrap those exceptions in a SAXException or an exception derived from a SAXException.

If the parser or application needs to include information about a specific location in an XML document, it should use the `SAXParseException` subclass.

Since:
  1.4, SAX 1.0
See Also:
  - `SAXParseException`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SAXException()`
  Create a new SAXException.
  `SAXException(Exception e)`
  Create a new SAXException wrapping an existing exception.
  `SAXException(String message)`
  Create a new SAXException.
  `SAXException(String message, Exception e)`
  Create a new SAXException from an existing exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getCause()`
  Return the cause of the exception
  `Exception`
  `getException()`
  Return the embedded exception, if any.
  `String`
  `getMessage()`
  Return a detail message for this exception.
  `String`
  `toString()`
  Override toString to pick up any embedded exception.

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`
  Modifier and Type
  Method
  Description
  `final void`
  `addSuppressed(Throwable exception)`
  Appends the specified exception to the exceptions that were suppressed in order to deliver this exception.
  `Throwable`
  `fillInStackTrace()`
  Fills in the execution stack trace.
  `String`
  `getLocalizedMessage()`
  Creates a localized description of this throwable.
  `StackTraceElement[]`
  `getStackTrace()`
  Provides programmatic access to the stack trace information printed by `Throwable.printStackTrace()`.
  `final Throwable[]`
  `getSuppressed()`
  Returns an array containing all of the exceptions that were suppressed, typically by the `try`-with-resources statement, in order to deliver this exception.
  `Throwable`
  `initCause(Throwable cause)`
  Initializes the cause of this throwable to the specified value.
  `void`
  `printStackTrace()`
  Prints this throwable and its backtrace to the standard error stream.
  `void`
  `printStackTrace(PrintStream s)`
  Prints this throwable and its backtrace to the specified print stream.
  `void`
  `printStackTrace(PrintWriter s)`
  Prints this throwable and its backtrace to the specified print writer.
  `void`
  `setStackTrace(StackTraceElement[] stackTrace)`
  Sets the stack trace elements that will be returned by `Throwable.getStackTrace()` and printed by `Throwable.printStackTrace()` and related methods.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### SAXException

    public SAXException()
    Create a new SAXException.

  - ### SAXException

    public SAXException(String message)
    Create a new SAXException.
    Parameters:
      `message` - The error or warning message.

  - ### SAXException

    public SAXException(Exception e)
    Create a new SAXException wrapping an existing exception.

    The existing exception will be embedded in the new one, and its message will become the default message for the SAXException.

    Parameters:
      `e` - The exception to be wrapped in a SAXException.

  - ### SAXException

    public SAXException(String message, Exception e)
    Create a new SAXException from an existing exception.

    The existing exception will be embedded in the new one, but the new exception will have its own message.

    Parameters:
      `message` - The detail message.
      `e` - The exception to be wrapped in a SAXException.

- ## Method Details

  - ### getMessage

    public String getMessage()
    Return a detail message for this exception.

    If there is an embedded exception, and if the SAXException has no detail message of its own, this method will return the detail message from the embedded exception.

    Overrides:
      `getMessage` in class `Throwable`
    Returns:
      The error or warning message.

  - ### getException

    public Exception getException()
    Return the embedded exception, if any.
    Returns:
      The embedded exception, or null if there is none.

  - ### getCause

    public Throwable getCause()
    Return the cause of the exception
    Overrides:
      `getCause` in class `Throwable`
    Returns:
      Return the cause of the exception

  - ### toString

    public String toString()
    Override toString to pick up any embedded exception.
    Overrides:
      `toString` in class `Throwable`
    Returns:
      A string representation of this exception.